# Generated by Django 4.0.2 on 2022-02-08 10:01

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('vragenlijst', '0003_alter_questionnairequestion_topic'),
    ]

    operations = [
        migrations.CreateModel(
            name='QuestionnaireStorage',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True, verbose_name='ID')),
                ('name', models.CharField(help_text='Name of the questionnaire storage.', max_length=200, verbose_name='Name')),
                ('type', models.CharField(choices=[('WEBDAV', 'WebDAV')], default='WEBDAV', help_text='Storage type', max_length=15, verbose_name='Type')),
                ('server', models.CharField(help_text='Server url', max_length=200, verbose_name='Server')),
                ('username', models.CharField(help_text='Username', max_length=200, verbose_name='Username')),
                ('password', models.CharField(help_text='Password', max_length=200, verbose_name='Password')),
                ('path', models.CharField(help_text='Location on disk', max_length=200, verbose_name='Path')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='The date and time this questionnaire storage has been created', verbose_name='Date created')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='The date and time this questionnaire storage has been updated', verbose_name='Date updated')),
            ],
            options={
                'verbose_name': 'Questionnaire storage',
                'verbose_name_plural': 'Questionnaire storages',
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='QuestionnaireResponse',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True, verbose_name='ID')),
                ('response', models.TextField(help_text='Questionaire response in CSV', verbose_name='Response')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='The date and time this questionnaire response has been created', verbose_name='Date created')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='The date and time this questionnaire response has been updated', verbose_name='Date updated')),
                ('questionnaire', models.ForeignKey(help_text='The questionnaire for this response.', on_delete=django.db.models.deletion.CASCADE, to='vragenlijst.questionnaire', verbose_name='Questionnaire')),
            ],
            options={
                'verbose_name': 'Questionnaire response',
                'verbose_name_plural': 'Questionnaire responses',
                'ordering': ['-created_at'],
            },
        ),
    ]
